package com.lz.modules.equipment.dao;
/**
* <p>
*  服务类
* </p>
*
* @author quyixiao
* @since 2020-07-29
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.lz.modules.equipment.entity.OneCode;
import com.lz.modules.equipment.entity.OneCodeReq;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface OneCodeMapper extends BaseMapper<OneCode> {


	OneCode selectOneCodeById(@Param("id") Long id);


	Long insertOneCode(OneCode oneCode);


	int updateOneCodeById(OneCode oneCode);


	int updateCoverOneCodeById(OneCode oneCode);


	int deleteOneCodeById(@Param("id") Long id);


	Long insertOneCodes(List<String> codes);

    List<String> selectNoPrints();

	OneCode selectByCode(@Param("code") String code);

	Long updatePrintOneCodes(List<String> codes);

    List selectByCondition(@Param("page") IPage page, @Param("req") OneCodeReq req);
}